#!/bin/sh

SCRIPT_DIR="$( cd "$( dirname "${0}" )" >/dev/null 2>&1 && pwd )"

sudo apt remove -y --purge pi-bluetooth triggerhappy logrotate dphys-swapfile

sudo apt update
sudo apt full-upgrade -y

# This installs the splash screen and the pmount service:
sudo apt install -y fbi pmount

# See https://raspberrypi.stackexchange.com/questions/28907/how-could-one-automate-the-raspbian-raspi-config-setup
# Fix overscan issue `--> Advanced Options -- Overscan -- No, We default enable overscan because several monitors have issues with black bars otherwise
sudo raspi-config nonint do_overscan 1

# disable CLI auto-login
#sudo raspi-config nonint do_boot_behaviour B1

# disable wifi + bluetooth
echo "dtoverlay=disable-wifi" | sudo tee -a /boot/config.txt
echo "dtoverlay=disable-bt" | sudo tee -a /boot/config.txt
# increase gpu memory
echo "gpu_mem=256" | sudo tee -a /boot/config.txt
## disable rainbow splash screen on cold boot
echo "disable_splash=1" | sudo tee -a /boot/config.txt

# Add several options to the linux kernel command line
## this changes the boot tty to reduce amount of message spam
sudo sed -i "s/tty1/tty3/g"  /boot/cmdline.txt
## this enables several options to disable some boot logo stuff and 'noswap' to disable the swap file
sudo sed -i "s/rootwait.*/rootwait quiet logo.nologo vt.global_cursor_default=0 dwc_otg.lpm_enable=0 noswap fastboot/g" /boot/cmdline.txt


sudo ${SCRIPT_DIR}/splashscreen/install-splashscreen.sh

#sudo systemctl dhcpcd
